FLTK 1.3.2

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | Protected Member Functions | Friends
Fl_PostScript_Printer Class Reference

Print support under Unix/Linux. More...

`#include <Fl_Printer.H>`

Inheritance diagram for Fl_PostScript_Printer:

List of all members.

## Public Member Functions
const char * | class_name ()
| Returns the name of the class of this object.
int | start_job (int pages, int *firstpage=NULL, int *lastpage=NULL)
| Starts a print job.
## Static Public Attributes
static const char * | class_id = Fl_Printer::class_id
| A string that identifies each subclass of Fl_Device.
## Protected Member Functions
| Fl_PostScript_Printer (void)
| The constructor.
## Friends
class | Fl_Printer

## Detailed Description

Print support under Unix/Linux.

Class Fl_PostScript_Printer is implemented only on the Unix/Linux platform. It has no public constructor. Use Fl_Printer instead that is cross-platform and has the same API.

## Member Function Documentation

const char* Fl_PostScript_Printer::class_name | ( |  | ) | `[inline, virtual]`

Returns the name of the class of this object.

Use of the class_name() function is discouraged because it will be removed from future FLTK versions.

The class of an instance of an Fl_Device subclass can be checked with code such as:

       if ( instance->class_name() == Fl_Printer::class_id ) { ... }

Reimplemented from Fl_PostScript_File_Device.

int Fl_PostScript_Printer::start_job | ( | int | pagecount,
|  | int * | frompage = `NULL`,
|  | int * | topage = `NULL`
| ) |  | `[virtual]`

Starts a print job.

Parameters:

  [in] | pagecount | the total number of pages of the job
  [out] | frompage | if non-null, *frompage is set to the first page the user wants printed
  [out] | topage | if non-null, *topage is set to the last page the user wants printed

Returns:
  0 if OK, non-zero if any error

Reimplemented from Fl_Paged_Device.

## Member Data Documentation

const char * Fl_PostScript_Printer::class_id = Fl_Printer::class_id`[static]`

A string that identifies each subclass of Fl_Device.

Function class_name() applied to a device of this class returns this string.

Reimplemented from Fl_PostScript_File_Device.

The documentation for this class was generated from the following files:

- Fl_Printer.H
- Fl_Printer.cxx